Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# IGESToBRep_BasicSurface.hxx File Reference

`#include <IGESToBRep_CurveAndSurface.hxx>`
`#include <Standard_Real.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_Geom_Surface.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_Geom_Plane.hxx>`
`#include <Handle_IGESSolid_PlaneSurface.hxx>`
`#include <Handle_Geom_CylindricalSurface.hxx>`
`#include <Handle_IGESSolid_CylindricalSurface.hxx>`
`#include <Handle_Geom_ConicalSurface.hxx>`
`#include <Handle_IGESSolid_ConicalSurface.hxx>`
`#include <Handle_Geom_SphericalSurface.hxx>`
`#include <Handle_IGESSolid_SphericalSurface.hxx>`
`#include <Handle_Geom_ToroidalSurface.hxx>`
`#include <Handle_IGESSolid_ToroidalSurface.hxx>`
`#include <Handle_Geom_BSplineSurface.hxx>`
`#include <Handle_IGESGeom_SplineSurface.hxx>`
`#include <Handle_IGESGeom_BSplineSurface.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`